


 nav {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
}
 nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  position: absolute;
  left: 0;
  top: 170px;
  transition: all 0.3s ease-in-out;
  -webkit-transform: translateX(40%);
          transform: translateX(40%);
}
 nav ul li {
  -webkit-transform: translateY(50px);
          transform: translateY(50px);
  opacity: 0;
}
 nav ul li a {
  display: block;
  font-family: 'Jura', sans-serif;
  font-weight: 200;
  font-size: 1.5em;
  text-decoration: none;
  padding: 20px 0;
  text-align: center;
  color: #fff;
  font-weight: 100;
  transition: all 0.2s ease-in-out;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  text-transform: uppercase;
}
 nav ul li a:hover {
   color: grey;
}

.toggle-btn {
  display: block;
  position: fixed;
  z-index: 10;
  right: 10px;
  top: 10px;
  cursor: pointer;
}
.toggle-btn .bar {
  width: 30px;
  height: 1px;
  margin: 7px auto;
  background-color: #1a2c45;
  transition: all 0.3s ease-in-out;
}
.toggle-btn span {
  color: #1a2c45;
  font-family: 'Jura', sans-serif;
  font-size: 0.8rem;
}
.toggle-btn .bar:nth-child(2) {
  width: 20px;
}

#toggle:checked ~ nav {
  opacity: 1;
  visibility: visible;
}
#toggle:checked ~ nav ul {
  top: 25vh;
}
#toggle:checked ~ nav ul li {
  -webkit-transform: translateY(0px);
          transform: translateY(0px);
  opacity: 1;
}
#toggle:checked ~ nav ul li:nth-child(1) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.1s;
}
#toggle:checked ~ nav ul li:nth-child(2) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.2s;
}
#toggle:checked ~ nav ul li:nth-child(3) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.3s;
}
#toggle:checked ~ nav ul li:nth-child(4) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.4s;
}
#toggle:checked ~ nav ul li:nth-child(5) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.5s;
}
#toggle:checked ~ nav ul li:nth-child(6) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.6s;
}
#toggle:checked ~ nav ul li:nth-child(7) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.7s;
}
#toggle:checked ~ nav ul li:nth-child(8) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.8s;
}
#toggle:checked ~ nav ul li:nth-child(9) {
  transition: all 0.3s cubic-bezier(0.6, 0, 0.8, 1.5) 0.9s;
}
#toggle:checked + label.toggle-btn .bar {
  background-color: #fff;
}
#toggle:checked + label.toggle-btn .bar:nth-child(2) {
  -webkit-transform: translateX(50px);
          transform: translateX(50px);
  opacity: 0;
}
#toggle:checked + label.toggle-btn .bar:nth-child(1) {
  -webkit-transform: translateY(10px) rotate(45deg);
          transform: translateY(10px) rotate(45deg);
}
#toggle:checked + label.toggle-btn .bar:nth-child(3) {
  -webkit-transform: translateY(-8px) rotate(-45deg);
          transform: translateY(-8px) rotate(-45deg);
}
@media only screen and (min-width: 420px) and (orientation: landscape) {
  #toggle:checked ~ nav ul {
    top: 5vh;
  }

}

@media only screen and (min-width: 300px) and (orientation: landscape) {
  #toggle:checked ~ nav ul {
    top: 1rem;
  }
  nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    position: absolute;
    left: 50%;
    top: 70px;
    transition: all 0.3s ease-in-out;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }

}
@media only screen and (min-width: 450px)  and (orientation:portrait)  {
  #toggle:checked ~ nav ul {
    top: 25vh;
  }
  nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    position: absolute;
    left: 50%;
    top: 70px;
    transition: all 0.3s ease-in-out;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }

}
@media only screen and (min-width: 1000px)   {
  #toggle:checked ~ nav ul {
    top: 25vh;
  }
  
}